Home

DOWNLOAD

Patch for launcher error

If you experienced an error from new launcher after the maintenance on 29.05.2019,
download and start this patch.
DOWNLOAD PATCH
Last patch update : 06.04.2019

System Requirement

Combat Arms currently supports Windows only. Presently there is no support for Mac or Linux.
Requirements Minimum Recommended
OS WINDOWS 7 or later Windows 7 or later
CPU Pentium4 - 2.4GHz+ Intel Core i5 2500+
MEMORY At least 1GB RAM At least 8GB RAM
VIDEO CARD GeForce FX 5600 or better GeForce GTX 970, AMD Radeon RX 480 or better
DIRECT X Version 9.0c or higher Version 9.0c or higher
HARD DISK SPACE At least 8GB of free space At least 8GB of free space
INTERET CONNECTION Cable/DSL Cable/DSL or better